function [aveVal, varVal] = color_calib(img)

% initializing output variables
aveVal = 0;
varVal = 0;

% requests a series of points to define a polygon that encloses the region
% of interest.
disp('Select the region of interest in the image by specifying the \n')
disp('vertices of the polygon enclosing the region of interest.\n')
disp('Press Enter when you are done.\n');
image(img);
blob = ginput();

% determines the min and max row and column indices for the region of
% interest
% x-coordinates correspond to columns indices
xMax = floor(max(blob(:,1)));
xMin = floor(min(blob(:,1)));
% y-coordinates correspond to row indices
yMax = floor(max(blob(:,2)));
yMin = floor(min(blob(:,2)));

% initializes the variable used to count the number pixels
numPixels = 0;

% converts the image to YCbCr
yuvImg = rgb2ycbcr(img);

for i = yMin:yMax
    for j = xMin:xMax
        % if the (j,i) pixel is within the polygon of interest
        if inpolygon(j, i, blob(:,1), blob(:,2))
            % YOUR CODE HERE
        end
    end
end
aveVal = aveVal/numPixels;
varVal = varVal/numPixels;
            