% rob represents the object that is your robot. Input the correct IP
% address in the string field. A connection is established when you see
% the version information for the firmware on the Matlab command prompt.
rob = initializeRobot('192.168.1.XX')

% This sets the image resolution to 160x128.  You can select a higher
% resolution, however as the image file size gets larger, it will take
% longer for the robot to transmit the larger file to your desktop.  Type
% help setImageResolution at the command prompt for more info.
outRes = setImageResolution(rob,0);

% This requests an image from the robot's camera and stores it in the array Img.  
% You can use imshow(img) or image(img) to display the image.
img = get_srv_image(rob);
imshow(img);

% Sends commands to drive the robot. First parameter: robot obj , Second
% Parameter: 3 coordinate vector [mr,ml,t]: mr=right motor, ml=left motor,
% t = length of time to run the motors in seconds.  Note that -100<=mr,ml<=100.
sendDriveCommand(rob,[0,0,0]);

% 1. Write the following series of commands: Drive the robot forward
% for 1 second at mr=ml=50. Turn the robot right at maximum speed for 0.5
% seconds. Take a picture and display it in the MATLAB figure.

%YOUR CODE HERE

shutdownRobot(rob);
